# PCLinuxOS Copyright by Bill Reynolds (Texstar)
#32/64
Name: fbzx
Version: 3.8.0
Release: alt4
Summary: A ZX Spectrum Emulator for FrameBuffer
Summary(de):	Ein ZX Spektrum Emulator für FrameBuffer
Group: Emulators
License: GPLv3+
Packager: Konstantin Kogan <kostyalamer@yandex.ru>
Url: http://www.rastersoft.com/fbzx.html
Source: %name-%version.tar.xz

# Automatically added by buildreq on Mon Jan 29 2018 (-bi)
# optimized out: elfutils libgpg-error libjson-c libstdc++-devel perl pkg-config python-base python-modules python3 python3-base rpm-build-python3 xz
BuildRequires: gcc-c++ gtk-update-icon-cache libSDL-devel libalsa-devel libnss-mymachines libnss-role libpulseaudio-devel python3-module-yieldfrom python3-module-zope rpmbuild-helper-desktop rpmbuild-helper-sugar-activity
BuildRequires: libSDL_gfx-devel
Requires: spectrum-roms

%description
FBZX is a Sinclair Spectrum emulator, designed to work at full screen using
the FrameBuffer or under X-Windows.

For ZX Spectrum roms install spectrum-roms package from non-free repository.

#german
%description -l de
FBZX ist ein Sinclair Spectrum Emulator, entworfen zum arbeiten im Vollbildmodus
mit Verwendung des Framebuffer oder X-Windows.

Für ZX Spektrum ROMS installieren Sie das Paket Spektrum-Roms aus der Nonfree Paketquelle.

%prep 
%setup -q
# Patch to use rpm optflags
%__subst "s/^\(CC\ =\ gcc\) [^\`]*/\1 \$(CFLAGS) /" Makefile

# Fix source file permissions
chmod 644 $RPM_BUILD_DIR/%name-%version/src/z80free/Z80free.c

# Remove roms as they are non-free
#rm -rf spectrum-roms

%build
export CFLAGS="%optflags"
%make

%install


#install application
mkdir -p %buildroot%_bindir
#install -m 755 %name %buildroot%_bindir
cp $RPM_BUILD_DIR/%name-%version/src/%name %buildroot%_bindir/

# install data
mkdir -p %buildroot%_datadir/%name
#install -p -m 644 keymap.bmp %buildroot%_datadir/%name
cp $RPM_BUILD_DIR/%name-%version/data/keymap.bmp %buildroot%_datadir/%name/

# install icon
mkdir -p %buildroot%_iconsdir/hicolor/scalable/apps
#install -p -m 644 %name.svg %buildroot%_iconsdir/hicolor/scalable/apps
cp $RPM_BUILD_DIR/%name-%version/data/%name.svg %buildroot%_iconsdir/hicolor/scalable/apps/

# install desktop file
mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop << EOF
[Desktop Entry]
X-MultipleArgs=false
Type=Application
Version=2.4.3
Encoding=UTF-8
Name=FBZX
GenericName=A Sinclair ZX Spectrum emulator
GenericName[de]= Sinclair ZX Spektrum Emulator
Comment=Play with the old, great games of the venerable ZX Spectrum
Comment[de]=ermölicht das spielen alter Spiele
TryExec=fbzx
Exec=fbzx
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
Icon=fbzx
EOF


rm -rf $RPM_BUILD_DIR/%name-%version/data
rm -rf $RPM_BUILD_DIR/%name-%version/DEBIAN
rm -rf $RPM_BUILD_DIR/%name-%version/rpmbuild
rm -rf $RPM_BUILD_DIR/%name-%version/src
#install documentation
mkdir -p %buildroot%_docdir/%name
cp $RPM_BUILD_DIR/%name-%version/* %buildroot%_docdir/%name/

rm -rf $RPM_BUILD_DIR/%name-%version

%post
touch --no-create %_iconsdir/hicolor || :
if [ -x %_bindir/gtk-update-icon-cache ]; then
%_bindir/gtk-update-icon-cache --quiet %_iconsdir/hicolor || :
fi

%postun
touch --no-create %_iconsdir/hicolor || :
if [ -x %_bindir/gtk-update-icon-cache ]; then
%_bindir/gtk-update-icon-cache --quiet %_iconsdir/hicolor || :
fi

%files
%_docdir/%name
%_bindir/%name
%_datadir/%name
%_iconsdir/hicolor/scalable/apps/%name.svg
%_desktopdir/%name.desktop

%changelog
* Fri Feb 02 2018 Konstantin Kogan <kostyalamer@yandex.ru> 3.8.0-alt4
- fixed bugs

* Mon Jan 29 2018 Konstantin Kogan <kostyalamer@yandex.ru> 3.8.0-alt1
- first build for ALTLinux

* Mon May 08 2017 Agent Smith <ruidobranco@yahoo.com.br> 3.8.0-1pclos2017
- updated package with latest sources.

* Thu Feb 04 2016 Agent Smith <ruidobranco@yahoo.com.br> 3.1.0-1pclos2016
- updated package with latest sources.

* Sun May 17 2015 Agent Smith <ruidobranco@yahoo.com.br> 3.0.0-1pclos2015
- updated package with latest sources, adapted to work in both 32/64 bits archs.

